## qt6-quick3dphysics 6.8.2

=== tests/baseline/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Special case: test includes the QBaselineTest module sources from qtbase directly
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../../../qtbase/tests/baseline/shared")
    add_subdirectory(scenegrabber)
    add_subdirectory(qtquick3dphysics)
endif()

=== debian/changelog ===
qt6-quick3dphysics (6.8.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:57:14 +0100

qt6-quick3dphysics (6.8.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Feb 2025 07:42:39 +0100

qt6-quick3dphysics (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Make package build on i386.

 -- Patrick Franz <deltaone@debian.org>  Tue, 25 Feb 2025 23:39:16 +0100

qt6-quick3dphysics (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 21:35:25 +0100

=== debian/control ===
Source: qt6-quick3dphysics
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.8.2+dfsg~),
               qt6-base-private-dev (>= 6.8.2+dfsg~),
               qt6-declarative-dev (>= 6.8.2+dfsg~),
               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
               qt6-quick3d-dev (>= 6.8.2~),
               qt6-quick3d-private-dev (>= 6.8.2~),
               qt6-shadertools-dev (>= 6.8.2~),
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git
Rules-Requires-Root: no

Package: libqt6quick3dphysics6
Architecture: amd64 arm64 armel armhf i386 mips64el
Multi-Arch: same
Depends: sse2-support [any-i386], ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Physics library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Physics library.

Package: qml6-module-qtquick3d-physics
Architecture: amd64 arm64 armel armhf i386 mips64el
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dphysicshelpers6,
Replaces: libqt6quick3dphysicshelpers6,
Description: Qt 6 Quick 3D Physics QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the QML module for Qt 6 Quick 3D Physics.

Package: qt6-quick3dphysics-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf i386 mips64el
Multi-Arch: same
Depends: libqt6quick3dphysics6 (= ${binary:Version}),
         qml6-module-qtquick3d-physics (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Quick 3D Physics - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Quick 3D Physics library.

Package: qt6-quick3dphysics-dev-tools
Architecture: amd64 arm64 armel armhf i386 mips64el
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Physics development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs used for building Qt 6
 Quick 3D Physics applications.

Package: qt6-quick3dphysics-examples
Architecture: amd64 arm64 armel armhf i386 mips64el
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D physics examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Quick 3D physics submodule.

## qt6-quick3dphysics 6.8.3

=== tools/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT WASM AND NOT IOS AND NOT ANDROID AND NOT QNX AND NOT INTEGRITY AND NOT WEBOS)
    add_subdirectory(cooker)
endif()

=== tests/auto/cooked/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set(PROJECT_NAME "test_auto_cooked")

qt_internal_add_test(${PROJECT_NAME}
    GUI
    QMLTEST
    SOURCES
        ../shared/util.h
        tst_cooked.cpp
    LIBRARIES
        Qt::Core
        Qt::Qml
    TESTDATA
        data/hf.cooked.hf
        data/tetrahedron.cooked.cvx
        data/tetrahedron.cooked.tri
        data/tst_cooked.qml
    BUILTIN_TESTDATA
)

if(QT_BUILD_STANDALONE_TESTS)
    qt_import_qml_plugins(${PROJECT_NAME})
endif()

=== tests/baseline/scenegrabber/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## qmlscenegrabber Binary:
#####################################################################

qt_internal_add_manual_test(qquick3dphysics_qmlscenegrabber
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/.." # special case
    SOURCES
        main.cpp
    LIBRARIES
        Qt::Gui
        Qt::Quick
        Qt::Quick3D
        Qt::Quick3DPhysics
)

=== tests/manual/convexmesh/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(convexmesh LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_manual_test(test_convexmesh
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::Gui
        Qt::Quick
        Qt::Quick3D
        Qt::Quick3DPhysics
)

# Resources:
set(qml_resource_files
  "main.qml"
)

qt6_add_resources(test_convexmesh "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)


qt6_add_resources(test_convexmesh "assets"
    PREFIX
        "/"
    FILES
        "qt_logo_rect.png"
        "meshes/test.mesh"
        "meshes/field.mesh"
        "meshes/newTorus.mesh"
        "meshes/newConvexTorus.mesh"
        "maps/heightfield.png"
)

=== debian/changelog ===
qt6-quick3dphysics (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:30:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-quick3dphysics
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -11,13 +12,13 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
-               qt6-quick3d-dev (>= 6.8.2~),
-               qt6-quick3d-private-dev (>= 6.8.2~),
-               qt6-shadertools-dev (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-quick3d-dev (>= 6.8.3~),
+               qt6-quick3d-private-dev (>= 6.8.3~),
+               qt6-shadertools-dev (>= 6.8.3~),
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

ifeq (i386, $(DEB_HOST_ARCH))
	export DEB_CFLAGS_MAINT_APPEND = -msse -msse2
	export DEB_CXXFLAGS_MAINT_APPEND = -msse -msse2
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-quick3dphysics 6.9.1

=== debian/changelog ===
qt6-quick3dphysics (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Install missing cmake-files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 23:13:44 +0200

qt6-quick3dphysics (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Aug 2025 17:39:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: qt6-quick3dphysics
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               ccache [linux-any],
                cmake (>= 3.24~),
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
-               qt6-quick3d-dev (>= 6.8.3~),
-               qt6-quick3d-private-dev (>= 6.8.3~),
-               qt6-shadertools-dev (>= 6.8.3~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
+               qt6-quick3d-dev (>= 6.9.1~),
+               qt6-quick3d-private-dev (>= 6.9.1~),
+               qt6-shadertools-dev (>= 6.9.1~),
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git

## qt6-quick3dphysics 6.9.2

=== src/3rdparty/CMakeLists.txt ===
add_subdirectory(PhysX)
qt_install_3rdparty_library_wrap_config_extra_file(BundledPhysX)

=== src/quick3dphysics/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## Quick3DPhysics Module:
#####################################################################

qt_internal_add_qml_module(Quick3DPhysics
    URI "QtQuick3D.Physics"
        VERSION "${PROJECT_VERSION}"
        CLASS_NAME QtQuick3DPhysicsPlugin
        PLUGIN_TARGET qquick3dphysicsplugin
        DESIGNER_SUPPORTED
        NO_PLUGIN_OPTIONAL
        NO_GENERATE_PLUGIN_SOURCE
    SOURCES
        physxnode/qabstractphysxnode.cpp physxnode/qabstractphysxnode_p.h
        physxnode/qphysxactorbody.cpp physxnode/qphysxactorbody_p.h
        physxnode/qphysxcharactercontroller.cpp physxnode/qphysxcharactercontroller_p.h
        physxnode/qphysxdynamicbody.cpp physxnode/qphysxdynamicbody_p.h
        physxnode/qphysxrigidbody.cpp physxnode/qphysxrigidbody_p.h
        physxnode/qphysxstaticbody.cpp physxnode/qphysxstaticbody_p.h
        physxnode/qphysxtriggerbody.cpp physxnode/qphysxtriggerbody_p.h
        physxnode/qphysxworld.cpp physxnode/qphysxworld_p.h
        qabstractcollisionshape.cpp qabstractcollisionshape_p.h
        qabstractphysicsbody.cpp qabstractphysicsbody_p.h
        qabstractphysicsnode.cpp qabstractphysicsnode_p.h
        qboxshape.cpp qboxshape_p.h
        qcacheutils.cpp qcacheutils_p.h
        qcapsuleshape.cpp qcapsuleshape_p.h
        qcharactercontroller.cpp qcharactercontroller_p.h
        qcollisiondebugmeshbuilder.cpp qcollisiondebugmeshbuilder_p.h
        qconvexmeshshape.cpp qconvexmeshshape_p.h
        qdebugdrawhelper.cpp qdebugdrawhelper_p.h
        qdynamicrigidbody.cpp qdynamicrigidbody_p.h
        qheightfieldshape.cpp qheightfieldshape_p.h
        qmeshshape.cpp qmeshshape_p.h
        qphysicscommands.cpp qphysicscommands_p.h
        qphysicsmaterial.cpp qphysicsmaterial_p.h
        qphysicsmeshutils_p_p.h
        qphysicsutils_p.h
        qphysicsworld.cpp qphysicsworld_p.h
        qplaneshape.cpp qplaneshape_p.h
        qsphereshape.cpp qsphereshape_p.h
        qtquick3dphysicsglobal_p.h
        qtquick3dphysicsglobal.h
        qtrianglemeshshape.cpp qtrianglemeshshape_p.h
        qtriggerbody.cpp qtriggerbody_p.h
        qstaticphysxobjects.cpp qstaticphysxobjects_p.h
        qstaticrigidbody.cpp qstaticrigidbody_p.h
    DEFINES
        QT_BUILD_QUICK3DPHYSICS_LIB
        PX_PHYSX_STATIC_LIB
    SYSTEM_INCLUDE_DIRECTORIES
        ../3rdparty/PhysX/include
        ../3rdparty/PhysX/pxshared/include
    DEPENDENCIES
        QtQuick3D
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::Quick3DPrivate
        Qt::QuickPrivate
        Qt::BundledPhysX
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::Quick3D
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::Quick3D
        Qt::QuickPrivate
    NO_GENERATE_CPP_EXPORTS
)

qt_internal_extend_target(qquick3dphysicsplugin
    SOURCES
        plugin.cpp
    LIBRARIES
        Qt::Quick3DPhysicsPrivate
)

if (UNIX OR MINGW)
    # Needed for PxPreprocessor.h error
    if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
        qt_internal_extend_target(Quick3DPhysics DEFINES _DEBUG)
    else()
        qt_internal_extend_target(Quick3DPhysics DEFINES NDEBUG)
    endif()
endif()

qt_internal_add_docs(Quick3DPhysics
    doc/qtquick3dphysics.qdocconf
)

if(QT_FEATURE_quick_designer AND QT_BUILD_SHARED_LIBS)
    add_subdirectory(designer)
endif()

=== tests/baseline/CMakeLists.txt ===
--- 
+++ 
@@ -4,5 +4,7 @@
 # Special case: test includes the QBaselineTest module sources from qtbase directly
 if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../../../qtbase/tests/baseline/shared")
     add_subdirectory(scenegrabber)
-    add_subdirectory(qtquick3dphysics)
+    if (QT_FEATURE_process)
+        add_subdirectory(qtquick3dphysics)
+    endif()
 endif()

=== tools/cooker/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set(target_name cooker)
qt_internal_add_app(${target_name}
    SOURCES
        main.cpp
    LIBRARIES
        Qt::Core
        Qt::Quick3D
        Qt::Quick3DPrivate
        Qt::Quick3DPhysics
        Qt::Quick3DPhysicsPrivate
        Qt::BundledPhysX
)
target_include_directories(${target_name} SYSTEM
    PRIVATE
    ../../src/3rdparty/PhysX/include
    ../../src/3rdparty/PhysX/pxshared/include
)
if (UNIX OR MINGW)
    # Needed for PxPreprocessor.h error
    if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
        qt_internal_extend_target(${target_name} DEFINES _DEBUG)
    else()
        qt_internal_extend_target(${target_name} DEFINES NDEBUG)
    endif()
endif()
qt_internal_extend_target(${target_name} DEFINES PX_PHYSX_STATIC_LIB)

=== examples/quick3dphysics/charactercontroller/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.14)
project(example_charactercontroller LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/quick3dphysics/${PROJECT_NAME}")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Quick3D Quick3DPhysics)

qt_add_executable(${PROJECT_NAME}
    main.cpp
)

set_target_properties(${PROJECT_NAME} PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(${PROJECT_NAME} PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Quick3D
    Qt::Quick3DPhysics
)

# Resources:
set(qml_resource_files
    "main.qml"
    "Building.qml"
    "Wasd.qml"
    "maps/sign.png"
    "maps/sphere.png"
    "maps/Tape001_1K_Color.jpg"
    "maps/Tape001_1K_NormalGL.jpg"
    "maps/Tape001_1K_Roughness.jpg"
    "maps/Tiles107_1K_Color.jpg"
    "maps/Tiles107_1K_NormalGL.jpg"
    "maps/Tiles107_1K_Roughness.jpg"
    "maps/Tiles108_1K_Color.jpg"
    "meshes/building.mesh"

)

qt_add_resources(${PROJECT_NAME} "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)

install(TARGETS ${PROJECT_NAME}
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/quick3dphysics/simple/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.14)
project(example_simple LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/quick3dphysics/${PROJECT_NAME}")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Quick3D Quick3DPhysics)

qt_add_executable(${PROJECT_NAME}
    main.cpp
)

set_target_properties(${PROJECT_NAME} PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(${PROJECT_NAME} PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Quick3D
    Qt::Quick3DPhysics
)

# Resources:
set(qml_resource_files
    "main.qml"
)

qt_add_resources(${PROJECT_NAME} "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)

install(TARGETS ${PROJECT_NAME}
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/callback/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set(PROJECT_NAME "test_auto_callback")

qt_internal_add_test(${PROJECT_NAME}
    GUI
    QMLTEST
    SOURCES
        ../shared/util.h
        tst_callback.cpp
    LIBRARIES
        Qt::Core
        Qt::Qml
    TESTDATA
        tst_callback.qml
        tst_callback_report.qml
        PlaneScene.qml
    BUILTIN_TESTDATA
)

if(QT_BUILD_STANDALONE_TESTS)
    qt_import_qml_plugins(${PROJECT_NAME})
endif()

=== tests/auto/callback_create_delete_node/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set(PROJECT_NAME "test_auto_callback_create_delete_node")

qt_internal_add_test(${PROJECT_NAME}
    GUI
    QMLTEST
    SOURCES
        ../shared/util.h
        tst_callback_create_delete_node.cpp
    LIBRARIES
        Qt::Core
        Qt::Qml
    TESTDATA
        tst_callback_create_delete_node.qml
        Box.qml
    BUILTIN_TESTDATA
)

if(QT_BUILD_STANDALONE_TESTS)
    qt_import_qml_plugins(${PROJECT_NAME})
endif()

=== tests/auto/changescene/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set(PROJECT_NAME "test_auto_changescene")

qt_internal_add_test(${PROJECT_NAME}
    GUI
    QMLTEST
    SOURCES
        ../shared/util.h
        tst_changescene.cpp
    LIBRARIES
        Qt::Core
        Qt::Qml
    TESTDATA
        tst_changescene.qml
        ImpellerScene.qml
    BUILTIN_TESTDATA
)

if(QT_BUILD_STANDALONE_TESTS)
    qt_import_qml_plugins(${PROJECT_NAME})
endif()

=== tests/auto/character/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set(PROJECT_NAME "test_auto_character")

qt_internal_add_test(${PROJECT_NAME}
    GUI
    QMLTEST
    SOURCES
        ../shared/util.h
        tst_character.cpp
    LIBRARIES
        Qt::Core
        Qt::Qml
    TESTDATA
        tst_character.qml
    BUILTIN_TESTDATA
)

if(QT_BUILD_STANDALONE_TESTS)
    qt_import_qml_plugins(${PROJECT_NAME})
endif()

=== tests/auto/character_remove/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set(PROJECT_NAME "test_auto_character_remove")

qt_internal_add_test(${PROJECT_NAME}
    GUI
    QMLTEST
    SOURCES
        ../shared/util.h
        tst_character_remove.cpp
    LIBRARIES
        Qt::Core
        Qt::Qml
    TESTDATA
        tst_character_remove.qml
        Character.qml
    BUILTIN_TESTDATA
)

if(QT_BUILD_STANDALONE_TESTS)
    qt_import_qml_plugins(${PROJECT_NAME})
endif()

=== tests/auto/filtering/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set(PROJECT_NAME "test_auto_filtering")

qt_internal_add_test(${PROJECT_NAME}
    GUI
    QMLTEST
    SOURCES
        ../shared/util.h
        tst_filtering.cpp
    LIBRARIES
        Qt::Core
        Qt::Qml
    TESTDATA
        tst_filtering.qml
        BoxesScene.qml
    BUILTIN_TESTDATA
)

if(QT_BUILD_STANDALONE_TESTS)
    qt_import_qml_plugins(${PROJECT_NAME})
endif()

=== debian/changelog ===
qt6-quick3dphysics (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 23:44:42 +0100

qt6-quick3dphysics (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:13:22 +0200

qt6-quick3dphysics (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Sep 2025 08:59:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,21 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               ccache [linux-any],
                cmake (>= 3.24~),
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
-               qt6-quick3d-dev (>= 6.9.1~),
-               qt6-quick3d-private-dev (>= 6.9.1~),
-               qt6-shadertools-dev (>= 6.9.1~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
+               qt6-quick3d-dev (>= 6.9.2~),
+               qt6-quick3d-private-dev (>= 6.9.2~),
+               qt6-shadertools-dev (>= 6.9.2~),
 Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git
-Rules-Requires-Root: no
 
 Package: libqt6quick3dphysics6
 Architecture: amd64 arm64 armel armhf i386 mips64el

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,11 @@
 	export DEB_CXXFLAGS_MAINT_APPEND = -msse -msse2
 endif
 
+# enable ccache with corresponding build-profile
+ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
+	extra_cmake_args += -DQT_USE_CCACHE=ON
+endif
+
 %:
 	dh $@ --buildsystem=cmake+ninja

## qt6-quick3dphysics 6.9.3

=== debian/changelog ===
qt6-quick3dphysics (6.9.3-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 01:08:20 +0000

qt6-quick3dphysics (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-quick3dphysics (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 15:47:20 +1000

qt6-quick3dphysics (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:30:50 +1000

qt6-quick3dphysics (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 00:05:31 +1000

qt6-quick3dphysics (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:22:49 +1000

qt6-quick3dphysics (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:06:47 +1000

qt6-quick3dphysics (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 07:42:56 +1000

qt6-quick3dphysics (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:00:52 +1000

qt6-quick3dphysics (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 01:08:43 +1000

qt6-quick3dphysics (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 18:40:35 +1000

qt6-quick3dphysics (6.5.3-0neon) UNRELEASED; urgency=medium

  * New release

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Apr 2023 16:58:29 +0100

=== debian/control ===
Source: qt6-quick3dphysics
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-multimedia-dev (>= 6.9.3~),
               qt6-quick3d-dev (>= 6.9.3~),
               qt6-shadertools-dev
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-quick3dphysics.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-quick3dphysics
Maintainer: Neon CI <neon@kde.org>

Package: qt6-quick3dphysics
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base,
         qt6-declarative,
         qt6-quick3d,
         qt6-shadertools,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt6quick3dphysics6,
          libqt6quick3dphysicshelpers6,
          qml6-module-qtquick3d-physics
Description: Qt 6 Quick 3D Physics library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Physics library.

Package: qt6-quick3dphysics-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-quick3d-dev,
         qt6-quick3dphysics (= ${binary:Version}),
         qt6-shadertools-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-quick3dphysics-dev-tools,
          qt6-quick3dphysics-doc-dev,
          qt6-quick3dphysics-example
Description: Qt 6 Quick 3D Physics library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Physics development files.

Package: qt6-quick3dphysics-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc,
         qt6-quick3dphysics-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-quick3dphysics-doc-html
Description: Qt 6 Quick 3D Physics library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt Quick 3D library.

Package: libqt6quick3dphysics6
Architecture: all
Depends: qt6-quick3dphysics, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dphysicshelpers6
Architecture: all
Depends: qt6-quick3dphysics, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick3d-physics
Architecture: all
Depends: qt6-quick3dphysics, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3dphysics-dev-tools
Architecture: all
Depends: qt6-quick3dphysics-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3dphysics-doc-dev
Architecture: all
Depends: qt6-quick3dphysics-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3dphysics-doc-html
Architecture: all
Depends: qt6-quick3dphysics-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3dphysics-examples
Architecture: all
Depends: qt6-quick3dphysics-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-quick3dphysics 6.10.0

=== debian/changelog ===
qt6-quick3dphysics (6.10.0-0zneon+24.04+noble+stable+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 10:02:31 +0000

qt6-quick3dphysics (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:33:48 +1000

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-multimedia-dev (>= 6.9.3~),
-               qt6-quick3d-dev (>= 6.9.3~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-multimedia-dev (>= 6.10.0~),
+               qt6-quick3d-dev (>= 6.10.0~),
                qt6-shadertools-dev
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
		-DQT_UNITY_BUILD=OFF \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
		sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-quick3dphysics 6.10.1

=== debian/changelog ===
qt6-quick3dphysics (6.10.1-0zneon+24.04+noble+stable+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 07:33:51 +0000

qt6-quick3dphysics (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:03 +1000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-multimedia-dev (>= 6.10.0~),
-               qt6-quick3d-dev (>= 6.10.0~),
-               qt6-shadertools-dev
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-multimedia-dev (>= 6.10.1~),
+               qt6-quick3d-dev (>= 6.10.1~),
+               qt6-shadertools-dev (>= 6.10.1~)
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=OFF \
 		$(extra_cmake_args)

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtquick3dphysics-everywhere-src-([\d\.]+\d).tar.xz

## qt6-quick3dphysics 6.10.2

=== debian/changelog ===
qt6-quick3dphysics (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Feb 2026 19:21:12 +0100

=== debian/control ===
Source: qt6-quick3dphysics
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-quick3d-dev (>= 6.10.2~),
               qt6-quick3d-private-dev (>= 6.10.2~),
               qt6-shadertools-dev (>= 6.10.2~),
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git

Package: libqt6quick3dphysics6
Architecture: amd64 arm64 armel armhf i386 mips64el
Multi-Arch: same
Depends: sse2-support [any-i386], ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Physics library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Physics library.

Package: qml6-module-qtquick3d-physics
Architecture: amd64 arm64 armel armhf i386 mips64el
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dphysicshelpers6,
Replaces: libqt6quick3dphysicshelpers6,
Description: Qt 6 Quick 3D Physics QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the QML module for Qt 6 Quick 3D Physics.

Package: qt6-quick3dphysics-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf i386 mips64el
Multi-Arch: same
Depends: libqt6quick3dphysics6 (= ${binary:Version}),
         qml6-module-qtquick3d-physics (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Quick 3D Physics - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Quick 3D Physics library.

Package: qt6-quick3dphysics-dev-tools
Architecture: amd64 arm64 armel armhf i386 mips64el
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Physics development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs used for building Qt 6
 Quick 3D Physics applications.

Package: qt6-quick3dphysics-examples
Architecture: amd64 arm64 armel armhf i386 mips64el
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D physics examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Quick 3D physics submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtquick3dphysics-everywhere-src-(.*)\.tar\.xz
